Bug 190417 - Anaconda does not detect HPT372 RAID1
Anaconda does not detect HPT372 RAID1
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-02 00:51 EDT by Thilo-Alexander Ginkel
Modified: 2008-05-06 11:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:52:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (10.05 KB, text/plain)
2006-05-02 00:51 EDT, Thilo-Alexander Ginkel
no flags Details

  None (edit)
Description Thilo-Alexander Ginkel 2006-05-02 00:51:52 EDT
Description of problem:
During installation, Anaconda does not detect my HPT372 RAID1 array, but instead
lists two separate disk devices with identical content, /dev/hde and /dev/hdg.

How reproducible:
Run the FC5 graphical installation.

dmraid -ay -t produces the following output:
hpt37x_baadhdbjcd: 0 156301477 mirror core 2 64 nosync 2 /dev/hde 0 /dev/hdg 10

Please find anaconda.log attached to this report.

Let me know if you need any additional information.
Comment 1 Thilo-Alexander Ginkel 2006-05-02 00:51:52 EDT
Created attachment 128466 [details]
anaconda.log
Comment 2 Ian M Thompson 2006-09-06 14:12:32 EDT
I can confirm that this remains the case with the latest FC6-test2 distribution.

I belive that it *may* be possible to install onto a "broken" raid, then create
the raid in BIOS duplicate onto the redunant disk, reboot onto an instalation on
a non raid disk. Detect the raid with dmraid -ay -f hpt and then mount
/dev/mapper/hpt37_xxxxx1 or whatever, then CHROOT to it and run mkinitrd to
create a suitible initrd for booting on the raid.

However as yet I've not had a chance to test this convoluted approach (don't
have spare drive to put non-raid install just now)! 
Comment 3 Ian M Thompson 2006-09-10 06:39:31 EDT
Done some further testing, treid swapping in a promise Fastrack TX2 card instead
of the highpoint 37x adaptec one, unfortuantely the card has problems
duplicating the array during the BIOS based RAID creation process so I can't
confirm if it works. However if I try to boot with a degraded array onto a valid
linux install on a drive not on the promise Fastrack TX2 the system crashes so I
susepct there may be a fualt on this card.

Interstingly when I put the highpoint card back in 
1) dmraid reports 2 raid signatures as it should
2) anaconda detects the promise pdc one and gives the option of using
/dev/mapper/pdc_xxxx as an install device even though this doesn't exist
3) recreating the highpoint raid (without duplication) so that there is a valid
RAID signature on the disk stops anaconda detecting the pdc one (expected) but
it doesn't detect the hpt one !

Is there some command I can do manually in the installation shell at an early
stage before the system goes to detect the partitions to make the highpoint one
show up as an option ?

Meantime I've got a spare drive and will try above convoluted appraoch mentioned
in my last post.
Comment 4 Bug Zapper 2008-04-03 22:48:34 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 11:52:20 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.